=== debian/changelog ===
cupt (2.10.4+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * cmakelists: Fix boost version check (Closes: #960381)
    Based on the patch from Ubuntu

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 07 Jun 2020 22:56:21 +0200
