## cupt 2.10.4+nmu1build1

=== debian/changelog ===
cupt (2.10.4+nmu1build1) hirsute; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 12 Dec 2020 13:05:05 +0100
