## cupt 2.10.4+nmu1build2

=== debian/changelog ===
cupt (2.10.4+nmu1build2) noble; urgency=medium

  * No-change rebuild for boost defaults change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Dec 2023 15:48:12 +0100
