=== doc/examples/show-available/CMakeLists.txt ===
add_executable(show-available show-available.cpp)
target_link_libraries(show-available libcupt)
