=== debian/changelog ===
cupt (2.10.4+nmu2build3) questing; urgency=medium

  * No-change rebuild for boost 1.88.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 11 Aug 2025 08:25:51 +0200
