## cupt 2.10.4+nmu2build4

=== debian/changelog ===
cupt (2.10.4+nmu2build4) resolute; urgency=medium

  * No-change rebuild for boost 1.90.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 04 Feb 2026 14:22:31 +0100
